// SIRDS z-depth data with POV-Ray #1
// )C( 7/1994 Christian Perle

#include "colors.inc"

camera {
  location  <0, 0, -9>
  direction <0, 0, 1.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2.5>
}

union {
  sphere { <2, 1, 1>, 1 }
  cone {
    <-3, 0, 4>, 0
    <-2, -2, 3>, 1
  }
  sphere { <0, -.5, 1.6>, .5 scale <2, 1, 2> }
  box {
    <-1, -.5, -.5>, <1, .5, .5>
    rotate <20, 30, 0>
    translate <-1, 1.5, 1.08>
  }

  pigment {  // white/black gradient
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
