// SIRDS z-depth data with POV-Ray #2
// )C( 7/1994 Christian Perle

#include "colors.inc"

camera {
  location  <0, 0, -9>
  direction <0, 0, 2.8>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2.5>
}

#declare Tyre = difference {
  cylinder { <0, 0, 0>, <1, 0, 0>, 1.4 }
  cone {
    <.5, 0, 0>, 1
    <1.1, 0, 0>, 1.3
  }
}

#declare Car = union {
  difference {  // Car body
    box { <-1, 0, -2>, <1, 1, 2> }
    cylinder { <-1.1, 5.2, -1.5>, <1.1, 5.2, -1.5>, 5 }
  }
  union {  // Tyres
    object { Tyre scale .4 translate <1, 0, -.9> }
    object { Tyre scale .4 translate <1, 0, .9> }
    object { Tyre scale .4 rotate 180*y translate <-1, 0, -.9> }
    object { Tyre scale .4 rotate 180*y translate <-1, 0, .9> }
  }
  sphere {  // Windshield
    <0, 0, 0>, 1
    scale <.8, .2, 1.2>
    rotate -20*x
    translate 0.5*y
  }
  union {  // Lights
    box { <-.95, .05, -2.05>, <-.65, .15, -2> }
    box { <.65, .05, -2.05>, <.95, .15, -2> }
  }
  union {
    box { <-.95, .2, 2>, <-.8, .8, 2.05> }
    box { <.8, .2, 2>, <.95, .8, 2.05> }
  }
  bounded_by { box { <-1.42, -.58, -2.07>, <1.42, 1.02, 2.07> } }
}

object {
  Car
  scale .5
  rotate <-20, 47, 0>
  translate <0, .1, 1.08>

  pigment {  // white/black gradient
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
