// SIRDS z-depth data with POV-Ray #4
// )C( 7/1994 Christian Perle

#include "colors.inc"

camera {
  location  <0, 0, -9>
  direction <0, 0, 1.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2.5>
}

union {
  box { <-1, -.05, -1>, <1, .05, 1> rotate -40*x translate <0, -1, 1.02> }
  box { <-1, -.05, -1>, <1, .05, 1> rotate 40*x translate <0, 1, 1.02> }
  box { <-.05, -1, -1>, <.05, 1, 1> rotate 40*y translate <-1, 0, 1.02> }
  box { <-.05, -1, -1>, <.05, 1, 1> rotate -40*y translate <1, 0, 1.02> }
  sphere { <0, 0, 1.5>, .6 }

  pigment {  // white/black gradient
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
