// SIRDS z-depth data with POV-Ray #5
// )C( 8/1994 Christian Perle

#include "colors.inc"

#declare Frontview = camera {
  location  <0, 0, -6>
  direction <0, 0, 2.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2>
}

#declare Sideview = camera {
  location  <6, 0, 1>
  direction <0, 0, 1.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 1>
}

camera { Frontview }

#declare Halftor = intersection {
  torus { 1, .2 rotate 90*z }
  plane { y, 0 }
}

#declare Thing = union {
  object { Halftor translate -1*x }
  object { Halftor translate 1*x }
  object { Halftor rotate 180*x rotate 90*y translate -1*z }
  object { Halftor rotate 180*x rotate 90*y translate 1*z }
  sphere { <0, 0, 0>, .4 }
  bounded_by { box { <-1.21, -1.21, -1.21>, <1.21, 1.21, 1.21> } }
}

object {
  Thing
  scale .62
  rotate <-20, 30, 0>
  translate 1*z
  pigment {
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
