// SIRDS z-depth data with POV-Ray #6
// )C( 8/1994 Christian Perle

#include "colors.inc"

#declare Frontview = camera {
  location  <0, 0, -6>
  direction <0, 0, 2.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2>
}

#declare Sideview = camera {
  location  <6, 0, 1>
  direction <0, 0, 1.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 1>
}

camera { Frontview }

#declare Walls = difference {
  box { <-1, -2, -1>, <1, 2, 1> }
  box { <-.8, -.8, -2>, <.8, .8, .8> }
  scale <1.9, 1.2, .99>
}

#declare Table = union {
  cylinder { <0, .8, 0>, <0, .9, 0>, 1 }
  box { <.4, 0, .4>, <.5, .8, .5> }
  box { <.4, 0, .4>, <.5, .8, .5> rotate 90*y }
  box { <.4, 0, .4>, <.5, .8, .5> rotate 180*y }
  box { <.4, 0, .4>, <.5, .8, .5> rotate 270*y }
  scale .6
}

#declare Lamp = union {
  cylinder { <0, 0, 0>, <0, .06, 0>, .4 }
  cylinder { <0, .06, 0>, <0, 1.7, 0>, .05 }
  difference {
    cone { <0, 1.5, 0>, .7, <0, 2, 0>, .35 }
    cone { <0, 1.48, 0>, .6, <0, 2.02, 0>, .25 }
  }
  scale .6
}

#declare Window = difference {
  box { <-1, -1, -1>, <1, 1, 1> }
  box { <-.9, -.9, -1.1>, <.9, .9, 1.1> }
  scale <.5, .3, .1>
}

#declare Ball = sphere { <0, 0, 0>, .2 }

#declare Room = intersection {
  union {
    object { Walls }
    object { Table rotate 30*y translate <-.5, -1, 0> }
    object { Lamp translate <.6, -.96, -.1> }
    object { Ball translate <.3, -.8, .4> }
    object { Window translate <-.75, .18, .8> }
    object { Window translate <.75, .18, .8> }
    rotate <-12, 0, 0>
  }
  box { <-1, -1, -1>, <1, 1, 1> scale <10, 10, .99> }
}

object {
  Room
  translate 1*z
  pigment {
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
  /*pigment { White }*/
}
/*light_source { <.8, .8, -6> color White }*/
