// SIRDS z-depth data with POV-Ray #7
// )C( 8/1994 Christian Perle
// render: povray +w640 +h470 +fr +idepth7.pov

#include "colors.inc"

#declare Frontview = camera {
  location  <0, 0, -6>
  direction <0, 0, 2.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2>
}

#declare Sideview = camera {
  location  <6, 0, 1>
  direction <0, 0, 1.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 1>
}

camera { Frontview }

#declare Bar = box { <-5, -1, -1>, <5, 1, 1> }

#declare Cross3 = union {
  object { Bar }
  object { Bar rotate 90*y }
  object { Bar rotate 90*y rotate 90*x }
  bounded_by { box { <-5.01, -5.01, -5.01>, <5.01, 5.01, 5.01> } }
  scale .2
  rotate <20, 30, 0>
}

object {
  Cross3
  translate 1*z
  pigment {
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
